Results 1 to 9 of 9

Thread: Problem with program that uses virtualbox

  1. #1

    Default Problem with program that uses virtualbox

    I installed a program that uses virtualbox and when I start it up it fails with:

    Code:
    WARNING: The vboxdrv kernel module is not loaded. Either there is no module
             available for the current kernel (2.6.29.6-217.2.16.fc11.i586) or it failed to
             load. Please recompile the kernel module and install it by
    
               sudo /etc/init.d/vboxdrv setup
    
             You will not be able to start VMs until this problem is fixed.
    WARNING: The compilation of the vboxdrv.ko kernel module failed during the
             installation for some reason. Starting a VM will not be possible.
             Please consult the User Manual for build instructions.
    3.0.6r52128
    What could this problem mean? What do I do? I have the latest virtual box installed.

    Thanks!

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Problem with program that uses virtualbox

    Fedora 11 huh?

    It means that the vboxdrv kernel module needs to be compiled to work with the currently running kernel. To do this you need the kernel sources, gcc and make installed on your system to be able to run that command mentioned:

    sudo /etc/init.d/vboxdrv setup

    This being FC11, you would have to work out how to install those additional packages.

  3. #3

    Default Re: Problem with program that uses virtualbox

    Quote Originally Posted by ken_yap View Post
    Fedora 11 huh?

    It means that the vboxdrv kernel module needs to be compiled to work with the currently running kernel. To do this you need the kernel sources, gcc and make installed on your system to be able to run that command mentioned:

    sudo /etc/init.d/vboxdrv setup

    This being FC11, you would have to work out how to install those additional packages.
    Thank you! I know it's weird to ask for something on Fedora in the opensuse forums but I have opensuse on all my other comp's and I've found these forums VERY helpful (and timely) and the fedora forums to be non-responsive.

    Anyways, I hate to ask this but...

    How would I go about getting the kernel sources and put in the right place? I tried this and it didn't work. I did this:

    1. yumdownloader --source kernel
    2. su -c 'yum-builddep kernel-2.6.30.5-43.fc11.src.rpm'
    3. rpm -Uvh kernel-2.6.30.5-43.fc11.src.rpm

    it seems to do a bunch of stuff but in the end I'm left with only the rpm and no sources to be found anywhere. What am I doing wrong?

  4. #4
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Problem with program that uses virtualbox

    I don't have a Fedora system, but access to a RHEL system which should be similar in many respects.

    You don't want the .src.rpm package. Those are the raw sources. I think what you want in FC is a package called kernel-devel. Maybe also kernel-headers. Those packages are for compiling extra modules to go with the kernel. Of course make sure the version matches the running kernel, at least for kernel-devel.

  5. #5

    Default Re: Problem with program that uses virtualbox

    Quote Originally Posted by ken_yap View Post
    I don't have a Fedora system, but access to a RHEL system which should be similar in many respects.

    You don't want the .src.rpm package. Those are the raw sources. I think what you want in FC is a package called kernel-devel. Maybe also kernel-headers. Those packages are for compiling extra modules to go with the kernel. Of course make sure the version matches the running kernel, at least for kernel-devel.
    Thank you again for your help!

    I did the following but am still getting the same error.

    Code:
    yum install kernel-devel-2.6.29.6-217.2.16.fc11.i586 kernel-devel
    yum install kernel-devel-2.6.29.6-217.2.16.fc11.i586 kernel-headers
    BUT here's what's weird!! I did the above command yet when I check /usr/src/kernels, it now shows a folder:
    2.6.30.5-43.fc11.i586
    but that's not the version I asked for! And it's NOT my version (according to sysinfo) which is 2.6.29.6-217.2.16.fc11.i586!! How do I fix this?

  6. #6
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Problem with program that uses virtualbox

    That directory was probably already there from the initial install of FC11.

    By hook or crook you have to install the right version of kernel-devel. Yum will tell you if it succeeded in installing a package and you can check afterwards with rpm -q kernel-devel. So don't proceed until you have succeeded with this step. You can omit the version if it's the latest. Maybe you need to refresh your yum cache or something. I don't have any other ideas for you.

  7. #7

    Default Re: Problem with program that uses virtualbox

    Quote Originally Posted by ken_yap View Post
    That directory was probably already there from the initial install of FC11.

    By hook or crook you have to install the right version of kernel-devel. Yum will tell you if it succeeded in installing a package and you can check afterwards with rpm -q kernel-devel. So don't proceed until you have succeeded with this step. You can omit the version if it's the latest. Maybe you need to refresh your yum cache or something. I don't have any other ideas for you.
    Thanks. I looked at the output when I used yum and it had this:

    Code:
    Loaded plugins: refresh-packagekit                                                             
    Setting up Install Process                                                                     
    No package kernel-devel-2.6.29.6-217.2.16.fc11.i586 available.                                 
    Resolving Dependencies                                                                         
    --> Running transaction check                                                                  
    ---> Package kernel-devel.i586 0:2.6.30.5-43.fc11 set to be installed
    Weird. No idea where to get my version from or why it's not there.

  8. #8

    Default Re: Problem with program that uses virtualbox

    I got it to work! Thanks so much for your help!!

    I found the correct version at: kernel | Package Info | Koji

    Thanks again, I could NOT have done this without your help!!

  9. #9
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Problem with program that uses virtualbox

    No worries, enjoy. The VirtualBox forums are also a good source of help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •